#pragma once
#include "MinHook.h"
#pragma comment(lib, "libMinHook.x86.lib")

extern  std::vector< DrawCodestruct>DrawCodeT1_STL;
extern  std::vector< DrawCodestruct>DrawCodeT2_STL;
extern  std::vector< DrawCodestruct>DrawCodeT3_STL;

class hook
{
private:


public:

	//HOOK_NUT的替换函数
	static uint32_t H_Register_Nut(uint32_t v, void* f, int freeVarsCnt);
	//HOOK_收包的替换函数
	static void H_Register_Pack(void* Ecx);
	//HOOK_绘制字符的替换函数
	static void _fastcall H_Register_DrawCode(DWORD thisc, int Seat, int a3, int a4, int a5, int a6);
	//总HOOK
	static int RegisterHook();

};

